Skip to main content
There are certain errors that are possible when working with the DRN API:

General error format

When the DRN API cannot process your request, it will return an error in the following format:
JSON
The code is fixed inside a version, but the message can be updated to be more clear. Only the code value compatibility is guaranteed inside a specific version ! For specific errors related to authentication, versioning, and rate limiting please refer to the specific reference pages.

Unknown resource path

If a request is made to an unknown resource path (the part after the domain), an HTTP 404 error will be returned:
JSON
The only valid resource path (the part that goes after fpjs.io) is drn: GET https://drn-api.fpjs.io/drn/{visitor_id}

Invalid visitor_id parameter.

If the visitor_id parameter that was provided is not known to the DRN API, e.g. if it’s not generated by our Android SDK or is unknown entirely, an HTTP 404 error will be returned:
JSON

Invalid signals parameter

A request without at least one signals parameter will return an HTTP 400 error:
JSON

Empty response

If you requested the signals from a device with activity older than 30 days, you’ll get an empty state response:
JSON